com.h3c.of.lib.match

## Enum OxmVlanId

- java.lang.Object
- - java.lang.Enum<OxmVlanId>
  - - com.h3c.of.lib.match.OxmVlanId

- All Implemented Interfaces:
    Serializable, Comparable<OxmVlanId>

      public enum OxmVlanId
      extends Enum<OxmVlanId>

  Denotes the matching mode for VLAN ID matching. Package private as this is an implementation detail, not exposed through the public API.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXACT` Match when the specified VLAN ID is present; Since 1.3.
    `NONE` Match when no VLAN ID is present; Since 1.3.
    `PRESENT` Match when any VLAN ID is present; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OxmVlanId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OxmVlanId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final OxmVlanId NONE

      Match when no VLAN ID is present; Since 1.3.

    - #### PRESENT

          public static final OxmVlanId PRESENT

      Match when any VLAN ID is present; Since 1.3.

    - #### EXACT

          public static final OxmVlanId EXACT

      Match when the specified VLAN ID is present; Since 1.3.

  - ### Method Detail

    - #### values

          public static OxmVlanId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OxmVlanId c : OxmVlanId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OxmVlanId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.